### Function

# Gsk.ShaderArgsBuilder.new

#### Declaration [src]

    GskShaderArgsBuilder*
    gsk_shader_args_builder_new (
      GskGLShader* shader,
      GBytes* initial_values
    )

#### Description [src]

Allocates a builder that can be used to construct a new uniform data chunk.

#### Parameters

`shader` | `GskGLShader`
| a `GskGLShader`
| Ownership is not transferred to the callee
`initial_values` | `GBytes*`
| optional `GBytes` with initial values
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GskShaderArgsBuilder`
The newly allocated builder, free with `gsk_shader_args_builder_unref()`
Ownership of the data is transferred to the caller